Subject: [regext] Registry Fee "standard" Attribute Meeting Notes

From: "Gould, James" <[email-masked]>
Date: Wed, 18 Jul 2018 12:40:25 +0000

A group met at IETF-102 to discuss the question of inclusion of the “standard” attribute in the draft-ietf-regext-epp-fees.

  1.  Attendees
     *   Roger Carney – GoDaddy
     *   Jim Galvin - Afilias
     *   James Gould – Verisign
     *   Jody Kolker (remote) – GoDaddy
     *   Patrick Mevzek (remote) – Dot and Co
     *   Wadson Tseng - Afilias
     *   Rick Wilhelm – Verisign
     *   Joseph Chiu-Kit Yee – Afilias
  2.  Notes
     *   Discussed the background of the issue

                                                              i.      Roger posted the IETF-100 open question  to the mailing list

           *   The appropriate level of the <fee:class> element (<fee:command> or <fee:cd>)

                                                            ii.      Pat Moroney raised the concern of handling a non-standard create with a standard renew

                                                          iii.      Jim Gould provided a proposed solution with inclusion of the “standard” attribute

           *   Proposal moved the <fee:class> element to the <fee:cd> element and added the optional “standard” boolean attribute with a default of “false”
           *   A proposed XML schema and sample XML was posted in an attachment

                                                          iv.      Pat Moroney agreed with the proposal

                                                            v.      Patrick Mevzek and Alex Mayrhofer advocated against the “standard” attribute

                                                          vi.      Roger added the “standard” attribute in draft-ietf-regext-epp-fees-09, but to the check command instead of the check response

           *   The incorrect location of the “standard” attribute was identified by the document shepherd when reviewing this issue
     *   Discussed Alex Mayrhofer’s Feedback provided offline

                                                              i.      I did a quick review of my own message from back then, and I still stand by that opinion. The basis of that is that we should not artificially complicate things for registrars, because that could hurt adoption and interoperability.

                                                            ii.      I don’t bother about optional attributes in responses. it’s more about the required inclusion of the EPP extension for transactions which would not require the extension in the first place.

                                                          iii.      In the case the registry requires Fee Extension for the transfer, non-Fee-supporting registrars would be unable to transfer, even though the price is identical to standard names. I want to prevent that. Essentially – when the *price* for a transaction is equal to the standard price of the TLD, don’t require the extension.

                                                          iv.      Note – the group viewed the handling of the transfer of non-standard (premium) domain names as registry policy and independent to the inclusion of the “standard” attribute.

     *   Discussed the purpose of the “standard” attribute

                                                              i.      The group viewed the inclusion of the “standard” attribute as in line with the server data model (classification is an object-level attribute), and providing more information without a change in behavior

     *   Result

                                                              i.      Agreed to include the “standard” attribute but move it from the check command (commandType) to the check response (commandDataType)

     *   Action Items

                                                              i.      Jim Gould to present the result of the meeting at the IETF-102 REGEXT meeting for discussion

                                                            ii.      Jim Gould to post the meeting notes to the REGEXT mailing list

                                                          iii.      Roger Carney to post draft-ietf-regext-epp-fees-12 that moves the “standard” attribute from the check command (commandType) to the check response (commandDataType).

Please let me know if I missed anything.

Thanks,

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>